<html>
<head>
<title>OGRE: Ogre::Overlay Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Overlay.html">Overlay</a></div>
<h1>Ogre::Overlay Class Reference</h1><!-- doxytag: class="Ogre::Overlay" -->Represents a layer which is rendered on top of the 'normal' scene contents.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Overlay-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; <a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns an iterator over all 2D elements in this manager.  <a href="#9de93b21d275a160987ab71f514e617b"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#8d6c54081ea142edf528d4253f32a913">Overlay</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor: do not call direct, use <a class="el" href="classOgre_1_1OverlayManager.html#b6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>.  <a href="#8d6c54081ea142edf528d4253f32a913"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#5a4051af0e9d239f4cb3d03f092565c3">~Overlay</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#5d12ab2635efc92de84fece5ae97ed5a">getChild</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#abe5ca1ccdcf2f813f6b3c76bfc1e431">getName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the name of this overlay.  <a href="#abe5ca1ccdcf2f813f6b3c76bfc1e431"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#5d8481d5fa0990846e53345f1a1cc705">setZOrder</a> (<a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> zorder)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alters the ZOrder of this overlay.  <a href="#5d8481d5fa0990846e53345f1a1cc705"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#f1c179ff9599e3cde15e32d580655f48">getZOrder</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the ZOrder of this overlay.  <a href="#f1c179ff9599e3cde15e32d580655f48"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#455ff8e472ec649d4d1c04132b6ae6e9">isVisible</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether the overlay is displayed or not.  <a href="#455ff8e472ec649d4d1c04132b6ae6e9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#5680b79c15b1f810c0f3bf93541994fb">isInitialised</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets whether the overlay is initialised or not.  <a href="#5680b79c15b1f810c0f3bf93541994fb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#3c565f3e5cf61f43fa33542d713e8ccf">show</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Shows the overlay if it was hidden.  <a href="#3c565f3e5cf61f43fa33542d713e8ccf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#b210b07a317329bb66df4e674de2a367">hide</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Hides the overlay if it was visible.  <a href="#b210b07a317329bb66df4e674de2a367"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#702b15ebaa6d3f8dbb2918500b76c9f0">add2D</a> (<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *cont)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a 2D 'container' to the overlay.  <a href="#702b15ebaa6d3f8dbb2918500b76c9f0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#5c6182483591872da63ac4cea94671af">remove2D</a> (<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *cont)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes a 2D container from the overlay.  <a href="#5c6182483591872da63ac4cea94671af"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#296d54af42cc05fddd20e07b5209ab1a">add3D</a> (<a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *node)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds a node capable of holding 3D objects to the overlay.  <a href="#296d54af42cc05fddd20e07b5209ab1a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#2ff5331b691cd4f07ee66e63f237baef">remove3D</a> (<a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *node)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes a 3D element from the overlay.  <a href="#2ff5331b691cd4f07ee66e63f237baef"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#81c8a84fa283a0341a8c14b6c8168ccb">clear</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clears the overlay of all attached items.  <a href="#81c8a84fa283a0341a8c14b6c8168ccb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e268ad3250bac5058c6d08e00c060289">setScroll</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the scrolling factor of this overlay.  <a href="#e268ad3250bac5058c6d08e00c060289"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#d6d4a3b5f733a30ba86f7b119d0fe0e6">getScrollX</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current X scroll value.  <a href="#d6d4a3b5f733a30ba86f7b119d0fe0e6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#f5627552bfa34c5fac0d348e2548794b">getScrollY</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current Y scroll value.  <a href="#f5627552bfa34c5fac0d348e2548794b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e07b1a57498aad0299f0781b09ca9b39">scroll</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> xoff, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> yoff)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scrolls the overlay by the offsets provided.  <a href="#e07b1a57498aad0299f0781b09ca9b39"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#69d5f4c12c15f00efc7818d201e02e86">setRotate</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the rotation applied to this overlay.  <a href="#69d5f4c12c15f00efc7818d201e02e86"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#dddd063aa2b50cbf00f9b2a96f4e16b6">getRotate</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the rotation applied to this overlay, in degrees.  <a href="#dddd063aa2b50cbf00f9b2a96f4e16b6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#8282553a59253170ddd0488ab7179792">rotate</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Adds the passed in angle to the rotation applied to this overlay.  <a href="#8282553a59253170ddd0488ab7179792"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#dea3b88baa3697a657e7b5785f0ffedb">setScale</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the scaling factor of this overlay.  <a href="#dea3b88baa3697a657e7b5785f0ffedb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#c0206725a1be8a317529b31e750c500c">getScaleX</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current X scale value.  <a href="#c0206725a1be8a317529b31e750c500c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#71265386a6190f91c79e8ca2c657fcd4">getScaleY</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current Y scale value.  <a href="#71265386a6190f91c79e8ca2c657fcd4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#928762f6c7c24583e092ff61e52e941a">_getWorldTransforms</a> (<a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *xform) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to transform the overlay when scrolling, scaling etc.  <a href="#928762f6c7c24583e092ff61e52e941a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a2b7f65f3c094857d90cda5aa7730f3e">getWorldOrientation</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the worldspace orientation of this renderable; this is used in order to more efficiently update parameters to vertex &amp; fragment programs, since inverting Quaterion and Vector in order to derive object-space positions / directions for cameras and lights is much more efficient than inverting a complete 4x4 matrix, and also eliminates problems introduced by scaling.   <a href="#a2b7f65f3c094857d90cda5aa7730f3e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#988cf0d123e38ed6ae172bed23ee15db">getWorldPosition</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the worldspace position of this renderable; this is used in order to more efficiently update parameters to vertex &amp; fragment programs, since inverting Quaterion and Vector in order to derive object-space positions / directions for cameras and lights is much more efficient than inverting a complete 4x4 matrix, and also eliminates problems introduced by scaling.   <a href="#988cf0d123e38ed6ae172bed23ee15db"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e694fb90f0c626c2fb4e7dfc65f97448">_findVisibleObjects</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, <a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method to put the overlay contents onto the render queue.  <a href="#e694fb90f0c626c2fb4e7dfc65f97448"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#af8b4bc3c953b8eeaf5ce8e6f3bfac9f">findElementAt</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This returns a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> at position x,y.  <a href="#af8b4bc3c953b8eeaf5ce8e6f3bfac9f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">Overlay2DElementsIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#659220630fe743a8359455f31640b465">get2DElementsIterator</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#7b04bcdbc67a779836cbbf04dd1e21ff">getOrigin</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the origin of this overlay, e.g.  <a href="#7b04bcdbc67a779836cbbf04dd1e21ff"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e48bf2a6596b514f95e9d3a437d8e1e0">_notifyOrigin</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;origin)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify this overlay of it's origin.  <a href="#e48bf2a6596b514f95e9d3a437d8e1e0"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#299bf0150c79f7247663d795cc3adf23">updateTransform</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal lazy update method.  <a href="#299bf0150c79f7247663d795cc3adf23"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e2d469b158f4db3064c33051791876bb">initialise</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal method for initialising an overlay.  <a href="#e2d469b158f4db3064c33051791876bb"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#f3f2cf5abee8dfa0c4a405fc4def8090">mName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#09e2075d2d0be9ca8e1c82ff1b4bbd4f">mRootNode</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Internal root node, used as parent for 3D objects.  <a href="#09e2075d2d0be9ca8e1c82ff1b4bbd4f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#7092a701bd3064f4d37ed107a38d3af5">m2DElements</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#cfea58e14ec720e91320d16f40d72dd2">mRotate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#7f31ad43e6ae56223bcb4b0f419dec53">mScrollX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#18010a80c39421d071b5d159f166a8f0">mScrollY</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#841135f08c6791e7006ad4b99a0c6459">mScaleX</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#918d0776ae24dae53716e6e2fa01524b">mScaleY</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#2ef3578f72ef61935cd55529598eaf98">mTransform</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#c70a9397e1355a83237e7b2e05416017">mTransformOutOfDate</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#681c81ead2967a473100495dac9b82ab">mTransformUpdated</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#0671899a71d5ed5ca4973e236b77b75e">mZOrder</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a8c41f39e68f82a6e4d9f7b080e3eb08">mVisible</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#e9d25c8decc42d2369c437dd45d337c1">mInitialised</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#cc986bc34b6e22883cb941378b068f8b">mOrigin</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents a layer which is rendered on top of the 'normal' scene contents. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>An overlay is a container for visual components (2D and 3D) which will be rendered after the main scene in order to composite heads-up-displays, menus or other layers on top of the contents of the scene. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>An overlay always takes up the entire size of the viewport, although the components attached to it do not have to. An overlay has no visual element in itself, it it merely a container for visual elements. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Overlays are created by calling <a class="el" href="classOgre_1_1OverlayManager.html#b6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>, or by defining them in special text scripts (.overlay files). As many overlays as you like can be defined; after creation an overlay is hidden i.e. not visible until you specifically enable it by calling 'show'. This allows you to have multiple overlays predefined (menus etc) which you make visible only when you want. It is possible to have multiple overlays enabled at once; in this case the relative 'zorder' parameter of the overlays determine which one is displayed on top. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>By default overlays are rendered into all viewports. This is fine when you only have fullscreen viewports, but if you have picture-in-picture views, you probably don't want the overlay displayed in the smaller viewports. You turn this off for a specific viewport by calling the Viewport::setDisplayOverlays method. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00065">65</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="8f3f648a05816f72743c966c51e948dd"></a><!-- doxytag: member="Ogre::Overlay::OverlayContainerList" ref="8f3f648a05816f72743c966c51e948dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::list&lt;<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>*&gt; <a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">Ogre::Overlay::OverlayContainerList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00069">69</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9de93b21d275a160987ab71f514e617b"></a><!-- doxytag: member="Ogre::Overlay::Overlay2DElementsIterator" ref="9de93b21d275a160987ab71f514e617b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::Overlay::Overlay2DElementsIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns an iterator over all 2D elements in this manager. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1VectorIterator.html" title="Wraps iteration over a vector.">VectorIterator</a> is actually a too generic name, since it also works for lists. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00263">263</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="8d6c54081ea142edf528d4253f32a913"></a><!-- doxytag: member="Ogre::Overlay::Overlay" ref="8d6c54081ea142edf528d4253f32a913" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Overlay::Overlay           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor: do not call direct, use <a class="el" href="classOgre_1_1OverlayManager.html#b6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="5a4051af0e9d239f4cb3d03f092565c3"></a><!-- doxytag: member="Ogre::Overlay::~Overlay" ref="5a4051af0e9d239f4cb3d03f092565c3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Overlay::~Overlay           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="299bf0150c79f7247663d795cc3adf23"></a><!-- doxytag: member="Ogre::Overlay::updateTransform" ref="299bf0150c79f7247663d795cc3adf23" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::updateTransform           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal lazy update method. 
<p>

</div>
</div><p>
<a class="anchor" name="e2d469b158f4db3064c33051791876bb"></a><!-- doxytag: member="Ogre::Overlay::initialise" ref="e2d469b158f4db3064c33051791876bb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::initialise           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method for initialising an overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="5d12ab2635efc92de84fece5ae97ed5a"></a><!-- doxytag: member="Ogre::Overlay::getChild" ref="5d12ab2635efc92de84fece5ae97ed5a" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>* Ogre::Overlay::getChild           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="abe5ca1ccdcf2f813f6b3c76bfc1e431"></a><!-- doxytag: member="Ogre::Overlay::getName" ref="abe5ca1ccdcf2f813f6b3c76bfc1e431" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Overlay::getName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the name of this overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="5d8481d5fa0990846e53345f1a1cc705"></a><!-- doxytag: member="Ogre::Overlay::setZOrder" ref="5d8481d5fa0990846e53345f1a1cc705" args="(ushort zorder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::setZOrder           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td>
          <td class="paramname"> <em>zorder</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Alters the ZOrder of this overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Values between 0 and 650 are valid here. </dd></dl>

</div>
</div><p>
<a class="anchor" name="f1c179ff9599e3cde15e32d580655f48"></a><!-- doxytag: member="Ogre::Overlay::getZOrder" ref="f1c179ff9599e3cde15e32d580655f48" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> Ogre::Overlay::getZOrder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the ZOrder of this overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="455ff8e472ec649d4d1c04132b6ae6e9"></a><!-- doxytag: member="Ogre::Overlay::isVisible" ref="455ff8e472ec649d4d1c04132b6ae6e9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Overlay::isVisible           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether the overlay is displayed or not. 
<p>

</div>
</div><p>
<a class="anchor" name="5680b79c15b1f810c0f3bf93541994fb"></a><!-- doxytag: member="Ogre::Overlay::isInitialised" ref="5680b79c15b1f810c0f3bf93541994fb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Overlay::isInitialised           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets whether the overlay is initialised or not. 
<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00120">120</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c565f3e5cf61f43fa33542d713e8ccf"></a><!-- doxytag: member="Ogre::Overlay::show" ref="3c565f3e5cf61f43fa33542d713e8ccf" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::show           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Shows the overlay if it was hidden. 
<p>

</div>
</div><p>
<a class="anchor" name="b210b07a317329bb66df4e674de2a367"></a><!-- doxytag: member="Ogre::Overlay::hide" ref="b210b07a317329bb66df4e674de2a367" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::hide           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Hides the overlay if it was visible. 
<p>

</div>
</div><p>
<a class="anchor" name="702b15ebaa6d3f8dbb2918500b76c9f0"></a><!-- doxytag: member="Ogre::Overlay::add2D" ref="702b15ebaa6d3f8dbb2918500b76c9f0" args="(OverlayContainer *cont)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::add2D           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td>
          <td class="paramname"> <em>cont</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a 2D 'container' to the overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Containers are created and managed using the <a class="el" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library...">OverlayManager</a>. A container could be as simple as a square panel, or something more complex like a grid or tree view. Containers group collections of other elements, giving them a relative coordinate space and a common z-order. If you want to attach a gui widget to an overlay, you have to do it via a container. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>cont</em>&nbsp;</td><td>Pointer to a container to add, created using <a class="el" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library...">OverlayManager</a>. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="5c6182483591872da63ac4cea94671af"></a><!-- doxytag: member="Ogre::Overlay::remove2D" ref="5c6182483591872da63ac4cea94671af" args="(OverlayContainer *cont)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::remove2D           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&nbsp;</td>
          <td class="paramname"> <em>cont</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes a 2D container from the overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>NOT FAST. Consider <a class="el" href="classOgre_1_1OverlayElement.html#33d8945bd771e80d61bd3d36a32738eb" title="Hides this element if it was visible.">OverlayElement::hide</a>. </dd></dl>

</div>
</div><p>
<a class="anchor" name="296d54af42cc05fddd20e07b5209ab1a"></a><!-- doxytag: member="Ogre::Overlay::add3D" ref="296d54af42cc05fddd20e07b5209ab1a" args="(SceneNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::add3D           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&nbsp;</td>
          <td class="paramname"> <em>node</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds a node capable of holding 3D objects to the overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Although overlays are traditionally associated with 2D elements, there are reasons why you might want to attach 3D elements to the overlay too. For example, if you wanted to have a 3D cockpit, which was overlaid with a HUD, then you would create 2 overlays, one with a 3D object attached for the cockpit, and one with the HUD elements attached (the zorder of the HUD overlay would be higher than the cockpit to ensure it was always on top). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>A <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> can have any number of 3D objects attached to it. SceneNodes are usually created using <a class="el" href="classOgre_1_1SceneManager.html#b31f9c018b801240c238c7a048439150" title="Creates an instance of a SceneNode.">SceneManager::createSceneNode</a>, but in this case you should create a standard <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> instance <b>manually</b>; this is because these scene nodes are not managed by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> and some custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> plugins will rely on specialist behaviour the overlay does not support. By attaching a <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> to an overlay, you indicate that:<ol>
<li>
You want the contents of this node to only appear when the overlay is active </li>
<li>
You want the node to inherit a coordinate space relative to the camera, rather than relative to the root scene node </li>
<li>
You want these objects to be rendered after the contents of the main scene to ensure they are rendered on top </li>
</ol>
One major consideration when using 3D objects in overlays is the behaviour of the depth buffer. Overlays should use materials with depth checking off, to ensure that their contents are always displayed on top of the main scene (to do otherwise would result in objects 'poking through' the overlay). The problem with using 3D objects is that if they are concave, or self-overlap, then you can get artefacts because of the lack of depth buffer checking. So you should ensure that any 3D objects you us in the overlay are convex, and don't overlap each other. If they must overlap, split them up and put them in 2 overlays. Alternatively, use a 2D element underneath them which will clear the depth buffer values underneath ready for the 3D element to be rendered correctly. </dd></dl>

</div>
</div><p>
<a class="anchor" name="2ff5331b691cd4f07ee66e63f237baef"></a><!-- doxytag: member="Ogre::Overlay::remove3D" ref="2ff5331b691cd4f07ee66e63f237baef" args="(SceneNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::remove3D           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&nbsp;</td>
          <td class="paramname"> <em>node</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes a 3D element from the overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="81c8a84fa283a0341a8c14b6c8168ccb"></a><!-- doxytag: member="Ogre::Overlay::clear" ref="81c8a84fa283a0341a8c14b6c8168ccb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::clear           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clears the overlay of all attached items. 
<p>

</div>
</div><p>
<a class="anchor" name="e268ad3250bac5058c6d08e00c060289"></a><!-- doxytag: member="Ogre::Overlay::setScroll" ref="e268ad3250bac5058c6d08e00c060289" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::setScroll           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the scrolling factor of this overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can use this to set an offset to be used to scroll an overlay around the screen. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>x</em>&nbsp;</td><td>Horizontal scroll value, where 0 = normal, -0.5 = scroll so that only the right half the screen is visible etc </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>y</em>&nbsp;</td><td>Vertical scroll value, where 0 = normal, 0.5 = scroll down by half a screen etc. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="d6d4a3b5f733a30ba86f7b119d0fe0e6"></a><!-- doxytag: member="Ogre::Overlay::getScrollX" ref="d6d4a3b5f733a30ba86f7b119d0fe0e6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Overlay::getScrollX           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current X scroll value. 
<p>

</div>
</div><p>
<a class="anchor" name="f5627552bfa34c5fac0d348e2548794b"></a><!-- doxytag: member="Ogre::Overlay::getScrollY" ref="f5627552bfa34c5fac0d348e2548794b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Overlay::getScrollY           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current Y scroll value. 
<p>

</div>
</div><p>
<a class="anchor" name="e07b1a57498aad0299f0781b09ca9b39"></a><!-- doxytag: member="Ogre::Overlay::scroll" ref="e07b1a57498aad0299f0781b09ca9b39" args="(Real xoff, Real yoff)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::scroll           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>xoff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>yoff</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Scrolls the overlay by the offsets provided. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method moves the overlay by the amounts provided. As with other methods on this object, a full screen width / height is represented by the value 1.0. </dd></dl>

</div>
</div><p>
<a class="anchor" name="69d5f4c12c15f00efc7818d201e02e86"></a><!-- doxytag: member="Ogre::Overlay::setRotate" ref="69d5f4c12c15f00efc7818d201e02e86" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::setRotate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the rotation applied to this overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="dddd063aa2b50cbf00f9b2a96f4e16b6"></a><!-- doxytag: member="Ogre::Overlay::getRotate" ref="dddd063aa2b50cbf00f9b2a96f4e16b6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; Ogre::Overlay::getRotate           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the rotation applied to this overlay, in degrees. 
<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00221">221</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8282553a59253170ddd0488ab7179792"></a><!-- doxytag: member="Ogre::Overlay::rotate" ref="8282553a59253170ddd0488ab7179792" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::rotate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Adds the passed in angle to the rotation applied to this overlay. 
<p>

</div>
</div><p>
<a class="anchor" name="dea3b88baa3697a657e7b5785f0ffedb"></a><!-- doxytag: member="Ogre::Overlay::setScale" ref="dea3b88baa3697a657e7b5785f0ffedb" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::setScale           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the scaling factor of this overlay. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>You can use this to set an scale factor to be used to zoom an overlay. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>x</em>&nbsp;</td><td>Horizontal scale value, where 1.0 = normal, 0.5 = half size etc </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>y</em>&nbsp;</td><td>Vertical scale value, where 1.0 = normal, 0.5 = half size etc </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="c0206725a1be8a317529b31e750c500c"></a><!-- doxytag: member="Ogre::Overlay::getScaleX" ref="c0206725a1be8a317529b31e750c500c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Overlay::getScaleX           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current X scale value. 
<p>

</div>
</div><p>
<a class="anchor" name="71265386a6190f91c79e8ca2c657fcd4"></a><!-- doxytag: member="Ogre::Overlay::getScaleY" ref="71265386a6190f91c79e8ca2c657fcd4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::Overlay::getScaleY           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current Y scale value. 
<p>

</div>
</div><p>
<a class="anchor" name="928762f6c7c24583e092ff61e52e941a"></a><!-- doxytag: member="Ogre::Overlay::_getWorldTransforms" ref="928762f6c7c24583e092ff61e52e941a" args="(Matrix4 *xform) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::_getWorldTransforms           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&nbsp;</td>
          <td class="paramname"> <em>xform</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Used to transform the overlay when scrolling, scaling etc. 
<p>

</div>
</div><p>
<a class="anchor" name="a2b7f65f3c094857d90cda5aa7730f3e"></a><!-- doxytag: member="Ogre::Overlay::getWorldOrientation" ref="a2b7f65f3c094857d90cda5aa7730f3e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&amp; Ogre::Overlay::getWorldOrientation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the worldspace orientation of this renderable; this is used in order to more efficiently update parameters to vertex &amp; fragment programs, since inverting Quaterion and Vector in order to derive object-space positions / directions for cameras and lights is much more efficient than inverting a complete 4x4 matrix, and also eliminates problems introduced by scaling.  
<p>

</div>
</div><p>
<a class="anchor" name="988cf0d123e38ed6ae172bed23ee15db"></a><!-- doxytag: member="Ogre::Overlay::getWorldPosition" ref="988cf0d123e38ed6ae172bed23ee15db" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Overlay::getWorldPosition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the worldspace position of this renderable; this is used in order to more efficiently update parameters to vertex &amp; fragment programs, since inverting Quaterion and Vector in order to derive object-space positions / directions for cameras and lights is much more efficient than inverting a complete 4x4 matrix, and also eliminates problems introduced by scaling.  
<p>

</div>
</div><p>
<a class="anchor" name="e694fb90f0c626c2fb4e7dfc65f97448"></a><!-- doxytag: member="Ogre::Overlay::_findVisibleObjects" ref="e694fb90f0c626c2fb4e7dfc65f97448" args="(Camera *cam, RenderQueue *queue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::_findVisibleObjects           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&nbsp;</td>
          <td class="paramname"> <em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal method to put the overlay contents onto the render queue. 
<p>

</div>
</div><p>
<a class="anchor" name="af8b4bc3c953b8eeaf5ce8e6f3bfac9f"></a><!-- doxytag: member="Ogre::Overlay::findElementAt" ref="af8b4bc3c953b8eeaf5ce8e6f3bfac9f" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* Ogre::Overlay::findElementAt           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>y</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This returns a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> at position x,y. 
<p>

</div>
</div><p>
<a class="anchor" name="659220630fe743a8359455f31640b465"></a><!-- doxytag: member="Ogre::Overlay::get2DElementsIterator" ref="659220630fe743a8359455f31640b465" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">Overlay2DElementsIterator</a> Ogre::Overlay::get2DElementsIterator           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00264">264</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7b04bcdbc67a779836cbbf04dd1e21ff"></a><!-- doxytag: member="Ogre::Overlay::getOrigin" ref="7b04bcdbc67a779836cbbf04dd1e21ff" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Overlay::getOrigin           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the origin of this overlay, e.g. 
<p>
a script file name. <dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This property will only contain something if the creator of this overlay chose to populate it. Script loaders are advised to populate it. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00274">274</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e48bf2a6596b514f95e9d3a437d8e1e0"></a><!-- doxytag: member="Ogre::Overlay::_notifyOrigin" ref="e48bf2a6596b514f95e9d3a437d8e1e0" args="(const String &amp;origin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Overlay::_notifyOrigin           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>origin</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify this overlay of it's origin. 
<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00276">276</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f3f2cf5abee8dfa0c4a405fc4def8090"></a><!-- doxytag: member="Ogre::Overlay::mName" ref="f3f2cf5abee8dfa0c4a405fc4def8090" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Overlay.html#f3f2cf5abee8dfa0c4a405fc4def8090">Ogre::Overlay::mName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00071">71</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="09e2075d2d0be9ca8e1c82ff1b4bbd4f"></a><!-- doxytag: member="Ogre::Overlay::mRootNode" ref="09e2075d2d0be9ca8e1c82ff1b4bbd4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a>* <a class="el" href="classOgre_1_1Overlay.html#09e2075d2d0be9ca8e1c82ff1b4bbd4f">Ogre::Overlay::mRootNode</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Internal root node, used as parent for 3D objects. 
<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00073">73</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7092a701bd3064f4d37ed107a38d3af5"></a><!-- doxytag: member="Ogre::Overlay::m2DElements" ref="7092a701bd3064f4d37ed107a38d3af5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html#8f3f648a05816f72743c966c51e948dd">OverlayContainerList</a> <a class="el" href="classOgre_1_1Overlay.html#7092a701bd3064f4d37ed107a38d3af5">Ogre::Overlay::m2DElements</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00077">77</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cfea58e14ec720e91320d16f40d72dd2"></a><!-- doxytag: member="Ogre::Overlay::mRotate" ref="cfea58e14ec720e91320d16f40d72dd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Overlay.html#cfea58e14ec720e91320d16f40d72dd2">Ogre::Overlay::mRotate</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00080">80</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f31ad43e6ae56223bcb4b0f419dec53"></a><!-- doxytag: member="Ogre::Overlay::mScrollX" ref="7f31ad43e6ae56223bcb4b0f419dec53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#7f31ad43e6ae56223bcb4b0f419dec53">Ogre::Overlay::mScrollX</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00082">82</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="18010a80c39421d071b5d159f166a8f0"></a><!-- doxytag: member="Ogre::Overlay::mScrollY" ref="18010a80c39421d071b5d159f166a8f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#18010a80c39421d071b5d159f166a8f0">Ogre::Overlay::mScrollY</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00082">82</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="841135f08c6791e7006ad4b99a0c6459"></a><!-- doxytag: member="Ogre::Overlay::mScaleX" ref="841135f08c6791e7006ad4b99a0c6459" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#841135f08c6791e7006ad4b99a0c6459">Ogre::Overlay::mScaleX</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00084">84</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="918d0776ae24dae53716e6e2fa01524b"></a><!-- doxytag: member="Ogre::Overlay::mScaleY" ref="918d0776ae24dae53716e6e2fa01524b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#918d0776ae24dae53716e6e2fa01524b">Ogre::Overlay::mScaleY</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00084">84</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2ef3578f72ef61935cd55529598eaf98"></a><!-- doxytag: member="Ogre::Overlay::mTransform" ref="2ef3578f72ef61935cd55529598eaf98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1Overlay.html#2ef3578f72ef61935cd55529598eaf98">Ogre::Overlay::mTransform</a><code> [mutable, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00086">86</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c70a9397e1355a83237e7b2e05416017"></a><!-- doxytag: member="Ogre::Overlay::mTransformOutOfDate" ref="c70a9397e1355a83237e7b2e05416017" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#c70a9397e1355a83237e7b2e05416017">Ogre::Overlay::mTransformOutOfDate</a><code> [mutable, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00087">87</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="681c81ead2967a473100495dac9b82ab"></a><!-- doxytag: member="Ogre::Overlay::mTransformUpdated" ref="681c81ead2967a473100495dac9b82ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#681c81ead2967a473100495dac9b82ab">Ogre::Overlay::mTransformUpdated</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00088">88</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0671899a71d5ed5ca4973e236b77b75e"></a><!-- doxytag: member="Ogre::Overlay::mZOrder" ref="0671899a71d5ed5ca4973e236b77b75e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="classOgre_1_1Overlay.html#0671899a71d5ed5ca4973e236b77b75e">Ogre::Overlay::mZOrder</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00089">89</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a8c41f39e68f82a6e4d9f7b080e3eb08"></a><!-- doxytag: member="Ogre::Overlay::mVisible" ref="a8c41f39e68f82a6e4d9f7b080e3eb08" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#a8c41f39e68f82a6e4d9f7b080e3eb08">Ogre::Overlay::mVisible</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00090">90</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e9d25c8decc42d2369c437dd45d337c1"></a><!-- doxytag: member="Ogre::Overlay::mInitialised" ref="e9d25c8decc42d2369c437dd45d337c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#e9d25c8decc42d2369c437dd45d337c1">Ogre::Overlay::mInitialised</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00091">91</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc986bc34b6e22883cb941378b068f8b"></a><!-- doxytag: member="Ogre::Overlay::mOrigin" ref="cc986bc34b6e22883cb941378b068f8b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Overlay.html#cc986bc34b6e22883cb941378b068f8b">Ogre::Overlay::mOrigin</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreOverlay_8h-source.html#l00092">92</a> of file <a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOverlay_8h-source.html">OgreOverlay.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:02 2008
</p>
</body>
</html>
